<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" bgcolor="#ffffff">
<div align="center">
  <table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
    <tr>
      <td  height="159" valign="top" background="images/mp_02.jpg"><div align="center">
        <table width="100%" height="100%" border="0" align="center" cellpadding="0" cellspacing="0">
          <tr>
            <td width="138" height="50"><img src="images/fff.gif" width="138" height="50" /></td>
            <td width="12" height="50" background="images/mp_49.jpg"></td>
            <td align="center" background="images/mp_49.jpg" height="50">
<!-- MENU -->
			<table border="0" cellspacing="0" cellpadding="0">
                <tr>
               <xsl:call-template name="TOP-MENU"/>
                </tr>
            </table>
<!-- END MENU -->
			</td>
            <td align="center" background="images/mp_49.jpg"></td>
            <td width="14" height="50" background="images/mp_49.jpg"></td>
            <td width="139" height="50"><img src="images/fff.gif" width="126" height="50" /></td>
          </tr>
          <tr>
            <td height="117"></td>
            <td></td>
            <td colspan="2" style="background-image: url(images/mp_04.jpg);
	background-repeat: no-repeat;
	background-position: right bottom; "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="48%" height="82"><table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
                <td width="52%" align="right" style="padding-right: 15px;"><table width="200" border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td align="right"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                  </tr>
                  <tr>
                    <td align="right" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
            <td><img src="images/mp_05.jpg" width="14" height="117" alt="" /></td>
            <td width="139" align="left"><img src="images/mp_06.jpg" width="126" height="117" alt="" /></td>
          </tr>
          <tr>
            <td></td>
            <td background="images/mp_49.jpg"></td>
            <td colspan="2" background="images/mp_49.jpg"></td>
            <td background="images/mp_49.jpg"></td>
            <td rowspan="3" align="left" valign="top" style="background-image: url(images/mp_32.jpg);
	background-repeat: repeat-y;"><img src="images/mp_11.jpg" width="126" height="199" alt="" /></td>
          </tr>
          <tr>
            <td height="172"></td>
            <td height="172" background="images/mp_49.jpg"><img src="images/mp_08.jpg" width="12" height="150" alt=""/></td>
            <td colspan="2" rowspan="2" align="center" valign="middle" background="images/mp_49.jpg">
<table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td width="100%" height="172" align="center" bgcolor="#E1E3D5"><table width="100%"  border="0" cellspacing="0" cellpadding="0"  height="172">
                  <tr>
                    <td style="background-image: url(images/header.jpg);
	background-repeat: no-repeat;
	background-position: center center;"></td>
                  </tr>
                </table></td>
              </tr>
            </table>
			</td>
            <td width="14" background="images/mp_49.jpg"></td>
          </tr>
          <tr>
            <td height="26"></td>
            <td background="images/mp_49.jpg"></td>
            <td width="14" height="26" background="images/mp_49.jpg"></td>
          </tr>
          <tr>
            <td height="100%" valign="bottom" style="background-image: url(images/right.jpg);
	background-repeat: no-repeat;
	background-position: right bottom;"></td>
            <td background="images/mp_49.jpg"></td>
            <td width="100%" height="100%" align="left" valign="top" background="images/mp_49.jpg" style="padding: 15px;">
			<!-- CONTENT -->
			<table cellpadding="0" cellspacing="0" border="0">
				<tr>
					<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
					<td style="padding-left: 5px;"><img src="images/mp_15.jpg" width="27" height="25" alt="" /></td>

		  		</tr>
			</table>
			<div style="width:0px; height:15px;"><span></span></div>
	   		<table width="100%" height="100%">
	   		  <tr><td valign="top" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
	   		  </tr></table>
			<!-- END CONTENT -->
			</td>
            <td width="151" valign="top" height="100%" style="background-image: url(images/mp_45.jpg);
	background-repeat: no-repeat;
	background-position: center bottom; padding-bottom: 110px; "><table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0">
                <tr>
                  <td height="20" background="images/mp_49.jpg"><img src="images/fff.gif" width="151" height="8" /></td>
                </tr>
                <tr>
                  <td height="100%" align="center" valign="top" background="images/mp_18.jpg">
				  <table width="120" border="0" cellspacing="0" cellpadding="0">
				   <tr><td height="10"></td></tr>
                  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
				   <tr><td height="10"></td></tr>
                  </table></td>
                </tr>
            </table></td>
            <td width="14" valign="bottom" background="images/mp_49.jpg"><img src="images/mp_46.jpg" width="14" height="164" alt="" /></td>
            <td align="left" valign="bottom" style="background-image: url(images/mp_32.jpg);
	background-repeat: repeat-y;"><img src="images/mp_47.jpg" width="126" height="164" alt="" /></td>
          </tr>
          <tr>
            <td align="right" valign="bottom"><img src="images/btm.jpg" width="138" height="54" /></td>
            <td height="54" align="center" style="background-image: url(images/mp_52.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; ">
</td>
            <td height="54" align="center" style="background-image: url(images/mp_52.jpg);
	background-repeat: no-repeat;
	background-position: left bottom; ">
<!-- END BOOTTOM MENU -->
	<table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td>
				<!-- FOOTER -->
						<div align="center" class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div>
						<!-- END FOOTER -->
				</td>
                <td width="30" align="center" class="footer">|</td>
                <td align="center">
				<table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                <xsl:call-template name="BOTTOM-MENU"/>
                  </tr>
                </table>
          <!-- END BOOTTOM MENU -->
				</td>
              </tr>
            </table>
	</td>
            <td height="54" align="center"></td>
            <td width="14" height="54"></td>
            <td height="54"></td>
          </tr>
        </table>
      </div></td>
    </tr>
  </table>
</div>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
                   <tr>
				     <td height="25" align="center" background="images/mp_39.jpg"><img src="images/mp_37.jpg" width="9" height="6" alt="" /></td>
                     <td width="121" align="right" class="asubmenu" background="images/mp_39.jpg" style="padding-right: 15px;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                      </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
        <tr>
          <td width="25" height="25" align="center"><img src="images/mp_24.jpg" width="9" height="6" alt="" /></td>
            <td align="right" style="padding-right: 15px;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
         </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
   <tr>
     <td colspan="2"><img src="images/mp_28.jpg" width="114" height="3" alt="" /></td>
   </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
    <td><a href="{@HREF}" class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
     <td class="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
           </xsl:when>
           <xsl:otherwise>
   <td><a href="{@HREF}" class="bmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>       
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
    <td width="20"><img src="images/fff.gif" width="20" height="8" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
