﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
    <head>
	<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/>
	</title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/bg2.gif">
  <tr>
    <td>
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0" background="images/bg.gif">
  <tr>
    <td style="width:100px;"><img src="images/space.gif" width="1" height="1" /></td>
    <td height="100%">
<table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td colspan="4" align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
      <tr>
        <td width="230" rowspan="2" align="left"><img src="images/space.gif" width="230" height="10" />
          <table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="30"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
            <td align="left" style="padding-top:10px" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
          </tr>
        </table></td>
        <td width="100%" height="70" colspan="3"></td>
      </tr>
      <tr>
        <td width="8" align="left" valign="top" background="images/tmenu1.gif"><img src="images/space.gif" width="8" height="40" /></td>
      <td width="100%" height="100%" align="center" valign="top" background="images/tmenubg.gif">
        <table height="100%"  border="0" cellpadding="0" cellspacing="0">
        <tr>
          <xsl:call-template name="TOP-MENU"/>
          </tr>
      </table></td>
        <td width="2" align="right" valign="top" background="images/tmenu2.gif"></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td width="100%" height="200" colspan="3" align="left" valign="top" background="images/headerbg.jpg">
	<table width="100%" height="100%" style="background-image: url(images/header.jpg);background-repeat: no-repeat;background-position: left top;" border="0" cellpadding="0" cellspacing="0">
      <tr>
        <td width="100%" height="100%" align="left" valign="top">
		<table width="100%" height="100%" style="background-image: url(images/header02.gif);background-repeat: no-repeat;background-position: right top;" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td height="100%" align="right" valign="middle"><table width="40%"  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td background="images/bgd.gif" class="slogan2"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
        </tr>
    </table></td>
  <td width="2" align="left" valign="top"><img src="images/right.gif" width="2" height="28" /></td>
  </tr>
  <tr>
    <td height="24" colspan="4" align="left" valign="top"><img src="images/space.gif" width="550" height="24" /></td>
  </tr>
  <tr>
    <td width="150" height="100%" align="left" valign="top"><table width="100%"  border="0" cellpadding="0" cellspacing="3" bgcolor="#FFFFFF">
      <tr>
        <td align="left" valign="top" background="images/bgd.gif">
		<table width="100%"  border="0" cellpadding="0" cellspacing="0" style="background-image: url(images/left.gif);background-repeat: no-repeat;background-position: left top;">
          <tr>
            <td height="20"></td>
          </tr>
          <tr>
            <td align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
              <xsl:call-template name="SUB-MENU">
<xsl:with-param name="pageID" select="@ID"/>
</xsl:call-template>
            </table></td>
          </tr>
          <tr>
            <td height="37" align="left" valign="bottom"><img src="images/leftd.gif" width="144" height="27" /></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
  <td width="25" align="left" valign="top"><img src="images/space.gif" width="25" height="10" /></td>
    <td width="100%" height="100%" align="left" valign="top"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="3" bgcolor="#FFFFFF">
      <tr>
        <td align="left" valign="top" background="images/bgd.gif"><table width="100%" height="100%"  border="0" cellpadding="0" cellspacing="0">
          <tr background="images/text_bg.gif">
            <td height="33" align="left"><table  border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                <td align="left"><img src="images/text_icon.gif" width="9" height="8" /></td>
              </tr>
            </table></td>
            </tr>
          <tr align="left" valign="top">
            <td height="100%" class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
          </tr>
        </table>
		<img src="images/space.gif" width="100" height="20" />
		</td>
      </tr>
    </table>
      </td>
    <td width="2" height="100%" align="left" valign="top"></td>
  </tr>
  <tr>
    <td height="26" colspan="4" align="left" valign="top"><img src="images/space.gif" width="550" height="26" /></td>
  </tr>
  <tr bgcolor="#FFFFFF">
    <td colspan="4" align="left" valign="top"><table width="100%"  border="0" cellpadding="0" cellspacing="3">
      <tr>
        <td align="center" background="images/bgd.gif">
		<img src="images/space.gif" width="550" height="20" />
		<table  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td><img src="images/space.gif" width="40" height="10" /></td>
            <xsl:call-template name="BOTTOM-MENU"/>
			<td><img src="images/space.gif" width="40" height="10" /></td>
          </tr>
        </table>
          <div class="copyright"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></div></td>
      </tr>
    </table></td>
  </tr>
  <tr>
    <td height="30" colspan="4" align="left" valign="top"><img src="images/space.gif" width="550" height="30" /></td>
  </tr>
</table>
</td>
    <td style="width:100px;"></td>
  </tr>
</table>
</td>
  </tr>
</table>
</BODY>
	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
<tr>
<td width="27" height="20"><img src="images/subicon.gif" width="27" height="8" /></td>
<td class="smenu"><span class="smenub">
<xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
<tr>
<td width="27" height="20"><img src="images/subicon.gif" width="27" height="8" /></td>
<td class="smenu">
<a href="{@HREF}" class="smenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
	<tr>
	 <td height="5" colspan="2"><img src="images/subline.gif" width="144" height="5" /></td>
    </tr>
	</xsl:if>
</xsl:template>	
<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID]" >
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:when>
           <!-- when active-->
           <xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID" >
        <td class="bmenu"><span class="bmenub"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></span></td>
           </xsl:when>
           <xsl:otherwise>
		<td class="bmenu"><a href="{@HREF}" class="bmenua"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		 <td width="19"><img src="images/bicon.gif" width="19" height="9" /></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>

<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
